## gerrit-binpkgs@3.zip

=== osmo-epdg/Makefile ===
# where rebar3 stores build output
REBAR_BASE_DIR ?= _build
# config file used by 'run' and 'shell'
CONFIG ?= config/sys.config
# arguments passed to eunit, used by 'check'
EUNIT_ARGS ?=
# directory paths for 'install'
BINDIR ?= /usr/bin
LIBDIR ?= /usr/lib
CONFDIR ?= /etc/osmocom
SYSTEMDUNITDIR ?= /lib/systemd/system

all: build

GEN_FILES = include/diameter_*.hrl src/diameter_*.erl

src/diameter_%.erl include/diameter_%.hrl: dia/diameter_%.asn
	rebar3 diameter compile

build: $(GEN_FILES)
	rebar3 compile

escript: $(GEN_FILES)
	rebar3 escriptize

run-escript: escript
	ERL_FLAGS='-config $(CONFIG)' $(REBAR_BASE_DIR)/default/bin/osmo-epdg

run: build
	ERL_FLAGS='-config config/sys.config' _build/default/bin/osmo-epdg

shell: build
	rebar3 shell --config $(CONFIG)

check: $(GEN_FILES)
	rebar3 eunit $(EUNIT_ARGS)

analyze: $(GEN_FILES)
	rebar3 dialyzer

release: $(GEN_FILES)
	rebar3 release

install: release
	install -d $(DESTDIR)$(LIBDIR)
	cp -r $(REBAR_BASE_DIR)/default/bin/osmo-epdg $(DESTDIR)$(LIBDIR)/
	install -Dm0644 config/sys.config \
		$(DESTDIR)$(CONFDIR)/osmo-epdg.config
	install -Dm0644 contrib/systemd/osmo-epdg.service \
		$(DESTDIR)$(SYSTEMDUNITDIR)/osmo-epdg.service

clean:
# Avoid running rebar3 clean if $(REBAR_BASE_DIR) doesn't exist, since it would try
# to fetch deps from the Internet and that may not be avaialble when in
# OBS build.
ifneq ("$(wildcard $(REBAR_BASE_DIR)/.*)", "")
	rebar3 diameter clean
	rebar3 clean
	rm -rf $(REBAR_BASE_DIR)
else
	rm -f $(GEN_FILES)
endif

=== osmo-bts/debian/control ===
Source: osmo-bts
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10),
               pkg-config,
               dh-autoreconf,
               autotools-dev,
               pkg-config,
               libosmocore-dev (>= 1.12.0),
               libosmo-abis-dev (>= 2.1.0),
               libosmo-netif-dev (>= 1.7.0),
               libgps-dev,
               txt2man,
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-bts
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-bts
Homepage: https://projects.osmocom.org/projects/osmobts

Package: osmo-bts
Architecture: any
Depends: osmo-bts-trx, osmo-bts-virtual, ${misc:Depends}
Description: Base Transceiver Station for GSM
 OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
 following protocols/interfaces:
    LAPDm (GSM 04.06)
    RTP
    A-bis/IP in IPA multiplex
    OML (GSM TS 12.21)
    RSL (GSM TS 08.58)
 .
 OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
 a specific L1/PHY implementation of the respective BTS hardware. Based on this
 architecture, it should be relatively easy to add a new back-end to support
 so-far unsupported GSM PHY/L1 and associated hardware.

Package: osmo-bts-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: osmo-bts-trx GSM BTS with osmo-trx
 osmo-bts-trx to be used with the osmo-trx application

Package: osmo-bts-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-trx
 Make debugging possible

Package: osmo-bts-virtual
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
 This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but
 utilizes GSMTAP-over-UDP frames for the Um interface.  This is useful
 in fully virtualized setups e.g. in combination with OsmocomBB virt_phy.

Package: osmo-bts-virtual-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-virtual
 Make debugging possible

Package: osmo-bts-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-e1d/debian/control ===
Source: osmo-e1d
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libosmocore-dev (>= 1.9.0),
               libusb-1.0-0-dev,
               osmo-gsm-manuals-dev (>= 1.4.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/retronetworking/osmo-e1d
Vcs-Browser: https://gitea.osmocom.org/retronetworking/osmo-e1d
Homepage: https://projects.osmocom.org/projects/osmo-e1d

Package: osmo-e1d
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: osmo-e1d: Osmocom's E1 interface daemon

Package: libosmo-e1d1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.

Package: libosmo-e1d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
	 libosmo-e1d1 (= ${binary:Version}),
	 libosmocore-dev,
Description: Development headers for the osmo-e1d library.

Package: libosmo-octoi2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for the Osmocom Community TDMoIP network.

Package: libosmo-octoi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
	 libosmo-octoi2 (= ${binary:Version}),
	 libosmocore-dev,
Description: Development headers for the Osmocom Community TDMoIP library.

=== osmo-hlr/debian/control ===
Source: osmo-hlr
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               pkg-config,
               dh-autoreconf,
               autotools-dev,
               python3-minimal,
               libosmocore-dev (>= 1.9.0),
               libosmo-abis-dev (>= 1.5.0),
               libosmo-netif-dev (>= 1.4.0),
               libsqlite3-dev,
               sqlite3,
               osmo-gsm-manuals-dev (>= 1.5.0)
Standards-Version: 3.9.6
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-hlr
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hlr
Homepage: https://projects.osmocom.org/projects/osmo-hlr

Package: osmo-hlr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom Home Location Register
 OsmoHLR is a Osmocom implementation of HLR (Home Location Registrar) which
 works over GSUP protocol. The subscribers are store in sqlite DB.
 It supports both 2G and 3G authentication.

Package: osmo-hlr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-hlr (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-hlr
 Make debugging possible

Package: libosmo-gsup-client0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom GSUP (General Subscriber Update Protocol) client library
  This is a shared library that can be used to implement client programs for
  the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
  and External USSD Entities (EUSEs) using this library to implement clients.

Package: libosmo-gsup-client-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libosmo-gsup-client0 (= ${binary:Version}),
	 libosmocore-dev
Description: Development headers of Osmocom GSUP client library
  This is a shared library that can be used to implement client programs for
  the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
  and External USSD Entities (EUSEs) using this library to implement clients.
  .
  This package contains the development headers.

Package: libosmo-mslookup1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom MS lookup library
  This shared library contains routines for looking up mobile subscribers.

Package: libosmo-mslookup-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libosmo-mslookup1 (= ${binary:Version}),
	 libosmocore-dev
Pre-Depends: ${misc:Pre-Depends}
Description: Development headers of Osmocom MS lookup library
  This shared library contains routines for looking up mobile subscribers.
  .
  This package contains the development headers.

Package: osmo-mslookup-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
	 libosmo-mslookup1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Utilities for Osmocom MS lookup
  This package contains a simple MS lookup client utility.

Package: osmo-hlr-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-hnbgw/debian/control ===
Source: osmo-hnbgw
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libtalloc-dev,
               libasn1c-dev (>= 0.9.30),
               libsctp-dev,
               libosmocore-dev (>= 1.11.0),
               libosmo-sigtran-dev (>= 2.1.0),
               libosmo-abis-dev (>= 2.0.0),
               libosmo-netif-dev (>= 1.6.0),
               libosmo-mgcp-client-dev (>= 1.14.0),
               libosmo-hnbap-dev (>= 1.7.0),
               libosmo-ranap-dev (>= 1.7.0),
               libosmo-rua-dev (>= 1.7.0),
               libosmo-pfcp-dev (>= 0.5.0),
               libnftables-dev,
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnbgw
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnbgw
Homepage: https://projects.osmocom.org/projects/osmo-hnbgw

Package: osmo-hnbgw
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoHNBGW: Osmocom Home Node B Gateway

Package: osmo-hnbgw-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
Description: OsmoHNBGW: Osmocom Home Node B Gateway

Package: osmo-hnbgw-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-hnodeb/debian/control ===
Source: osmo-hnodeb
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               autoconf-archive,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libtalloc-dev,
               libasn1c-dev (>= 0.9.30),
               libsctp-dev,
               libosmocore-dev (>= 1.9.0),
               libosmo-sigtran-dev (>= 1.8.0),
               libosmo-abis-dev (>= 1.5.0),
               libosmo-netif-dev (>= 1.4.0),
               libosmo-hnbap-dev (>= 1.5.0),
               libosmo-ranap-dev (>= 1.5.0),
               libosmo-rua-dev (>= 1.5.0),
               osmo-gsm-manuals-dev (>= 1.5.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnodeb
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnodeb
Homepage: https://projects.osmocom.org/projects/osmo-hnodeb

Package: osmo-hnodeb
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoHNodeB: Osmocom's Home NodeB for 3G mobile networks

Package: osmo-hnodeb-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-hnodeb (= ${binary:Version}), ${misc:Depends}
Description: OsmoHNodeB: Osmocom's Home NodeB for 3G mobile networks

Package: osmo-hnodeb-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-mgw/debian/control ===
Source: osmo-mgw
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               pkg-config,
               autotools-dev,
               libosmocore-dev (>= 1.11.0),
               libosmo-netif-dev (>= 1.6.0),
               libosmo-abis-dev (>= 2.0.0),
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-mgw
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-mgw
Homepage: https://osmocom.org/projects/osmo-mgw

Package: osmo-mgw
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-mgcp-client14
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: libosmo-mgcp-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-mgcp-client14 (= ${binary:Version}), ${misc:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: osmo-mgw-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-upf/debian/control ===
Source: osmo-upf
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               autoconf-archive,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libtalloc-dev,
               libgtpnl-dev (>= 1.2.0),
               libnftables-dev (>= 1.0.2),
               libosmocore-dev (>= 1.6.0),
               libosmo-pfcp-dev (>= 0.1.0),
               osmo-gsm-manuals-dev (>= 1.2.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-upf
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-upf
Homepage: https://projects.osmocom.org/projects/osmo-upf

Package: osmo-upf
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoUPF: Osmocom User Plane Function

Package: osmo-upf-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-upf (= ${binary:Version}), ${misc:Depends}
Description: OsmoUPF: Osmocom User Plane Function

Package: osmo-upf-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== osmo-python-tests/debian/control ===
Source: osmo-python-tests
Section: python
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10), dh-python, python3, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://gitea.osmocom.org/cellular-infrastructure/osmo-python-tests
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-python-tests
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-python-tests

Package: python3-osmopy-libs
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python code (not only) for testing of Osmocom programs
 .
 This package contains the Python 3 version of osmopy libraries.

Package: python3-osmopy-utils
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-osmopy-libs, python3-twisted, python3-aiohttp
Description: Python code (not only) for testing of Osmocom programs
 .
 This package contains the Python 3 version of osmopy utils.
